/*
 * mbx.c --
 *
 *      Header file for mailbox services.
 *
 * Copyright (C) 1995, 1996 Daniel Wu.
 * Distributed under the terms of the GNU Library General Public
 * License.
 *
 * This file is part of SimTos.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation (version 2).
 *
 * This library is distributed "AS IS" in the hope that it will be
 * useful, but WITHOUT ANY WARRANTY; without even the implied
 * warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with Pthreads; see the file COPYING.  If not, write
 * to the Free Software Foundation, 675 Mass Ave, Cambridge, MA
 * 02139, USA.
 *
 * Author: Daniel Wu (dwu@linus.socs.uts.edu.au)
 *
 */


#ifndef _MBX_H
#define _MBX_H

#include <pthread.h>
#include "symtab.h"
#include "os_mtosux.h"
#include "prique.h"
#include "efg.h"

typedef struct mbx_tab_t {
    sym_t          symtype;    
    pthread_cond_t mbx_cond;
    int            opnsnd;
    int            opnrcv;
    OS_PRIENTRY*   msgq;
    OS_COND_TYPE   os_efg;
} OS_MBX_TYPE;

#endif
